org.apache.ignite.configuration

## Class AtomicConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.AtomicConfiguration

    public class AtomicConfiguration
    extends Object

Configuration for atomic data structures.

### Field Summary

Fields
`static int` `DFLT_ATOMIC_SEQUENCE_RESERVE_SIZE` Default atomic sequence reservation size.
`static int` `DFLT_BACKUPS`
`static CacheMode` `DFLT_CACHE_MODE`

### Constructor Summary

Constructors
Constructor and Description
`AtomicConfiguration()`

### Method Summary

Methods
`int` `getAtomicSequenceReserveSize()` Gets default number of sequence values reserved for `IgniteAtomicSequence` instances.
`int` `getBackups()`
`CacheMode` `getCacheMode()`
`void` `setAtomicSequenceReserveSize(int seqReserveSize)` Sets default number of sequence values reserved for `IgniteAtomicSequence` instances.
`void` `setBackups(int backups)`
`void` `setCacheMode(CacheMode cacheMode)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DFLT_BACKUPS

    public static final int DFLT_BACKUPS

See Also:
  Constant Field Values

#### DFLT_CACHE_MODE

    public static final CacheMode DFLT_CACHE_MODE

#### DFLT_ATOMIC_SEQUENCE_RESERVE_SIZE

    public static final int DFLT_ATOMIC_SEQUENCE_RESERVE_SIZE

Default atomic sequence reservation size.

See Also:
  Constant Field Values

### Constructor Detail

#### AtomicConfiguration

    public AtomicConfiguration()

### Method Detail

#### getBackups

    public int getBackups()

Returns:
  Number of backup nodes.

#### setBackups

    public void setBackups(int backups)

Parameters:
  `backups` - Number of backup nodes.

#### getCacheMode

    public CacheMode getCacheMode()

Returns:
  Cache mode.

#### setCacheMode

    public void setCacheMode(CacheMode cacheMode)

Parameters:
  `cacheMode` - Cache mode.

#### getAtomicSequenceReserveSize

    public int getAtomicSequenceReserveSize()

Gets default number of sequence values reserved for `IgniteAtomicSequence` instances. After a certain number has been reserved, consequent increments of sequence will happen locally, without communication with other nodes, until the next reservation has to be made.

Default value is `DFLT_ATOMIC_SEQUENCE_RESERVE_SIZE`.

Returns:
  Atomic sequence reservation size.

#### setAtomicSequenceReserveSize

    public void setAtomicSequenceReserveSize(int seqReserveSize)

Sets default number of sequence values reserved for `IgniteAtomicSequence` instances. After a certain number has been reserved, consequent increments of sequence will happen locally, without communication with other nodes, until the next reservation has to be made.

Parameters:
  `seqReserveSize` - Atomic sequence reservation size.
See Also:
  `getAtomicSequenceReserveSize()`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016